oracle.xml.scalable

## Class BinaryIndex

- java.lang.Object
- - oracle.xml.scalable.BinaryIndex

    public abstract class BinaryIndex
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BinaryIndex()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static BinaryIndex` `buildIndex(InfosetReader reader, long size)` Factory method to create concreet index class based on binary size The actual index will be the smallest one that can handle the size.
`static BinaryIndex` `createIndex(int size)`
`void` `endElement()`
`BinaryIndex` `enlargeIndex()`
`BinaryNav` `getNavigator()` Create navigator from the index
`void` `setStream(BinaryStream stream)`
`boolean` `startElement(long idx)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryIndex

    public BinaryIndex()

### Method Detail

#### getNavigator

    public BinaryNav getNavigator()

Create navigator from the index

Returns:
  a BinaryNave object

#### buildIndex

    public static BinaryIndex buildIndex(InfosetReader reader,
                                         long size)
                                  throws java.lang.Exception

Factory method to create concreet index class based on binary size The actual index will be the smallest one that can handle the size.

Parameters:
  `reader` - -- InfosetReader to read binary data
  `size` - -- the size of binary data
Returns:
  index -- the actual index built
Throws:
  `java.lang.Exception`

#### createIndex

    public static BinaryIndex createIndex(int size)

#### setStream

    public void setStream(BinaryStream stream)

#### enlargeIndex

    public BinaryIndex enlargeIndex()

#### startElement

    public boolean startElement(long idx)

#### endElement

    public void endElement()

Copyright © 2003, 2020, Oracle and/or its affiliates.